From b8ec84cc5427814e5b52c2c89f0fd939f958ad0f Mon Sep 17 00:00:00 2001
From: Takashi Menjo <takashi.menjou.vg@hco.ntt.co.jp>
Date: Thu, 6 Jan 2022 15:31:40 +0900
Subject: [PATCH v7 09/15] Remove redundant parentheses from ereport call

This may melt into "Map WAL segment files on PMEM as WAL buffers".
---
 src/backend/access/transam/xlogpmem.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/backend/access/transam/xlogpmem.c b/src/backend/access/transam/xlogpmem.c
index 5b50ba80a7..73adde190c 100644
--- a/src/backend/access/transam/xlogpmem.c
+++ b/src/backend/access/transam/xlogpmem.c
@@ -250,8 +250,8 @@ PmemMapFile(const char *path, size_t expected_len, int flags, bool try_open)
 			return NULL;
 
 		ereport(ERROR,
-				(errcode_for_file_access(),
-				 errmsg("could not pmem_map_file \"%s\": %m", path)));
+				errcode_for_file_access(),
+				errmsg("could not pmem_map_file \"%s\": %m", path));
 	}
 
 	if (mapped_len > INT_MAX)
-- 
2.25.1

